FLAC: FLAC++/metadata.h: metadata object classes

FLAC 1.3.3

Classes | Functions
FLAC++/metadata.h: metadata object classes
FLAC C++ API » FLAC++/metadata.h: metadata interfaces

## Classes
class | FLAC::Metadata::Prototype
class | FLAC::Metadata::StreamInfo
class | FLAC::Metadata::Padding
class | FLAC::Metadata::Application
class | FLAC::Metadata::SeekTable
class | FLAC::Metadata::VorbisComment
class | FLAC::Metadata::CueSheet
class | FLAC::Metadata::Picture
class | FLAC::Metadata::Unknown

## Functions
Prototype * | FLAC::Metadata::clone (const Prototype *)
bool | FLAC::Metadata::Prototype::is_valid () const
| FLAC::Metadata::Prototype::operator const ::FLAC__StreamMetadata * () const
bool | FLAC::Metadata::Prototype::operator== (const Prototype &) const
bool | FLAC::Metadata::Prototype::operator== (const ::FLAC__StreamMetadata &) const
bool | FLAC::Metadata::Prototype::operator== (const ::FLAC__StreamMetadata *) const
bool | FLAC::Metadata::Prototype::operator!= (const Prototype &) const
bool | FLAC::Metadata::Prototype::operator!= (const ::FLAC__StreamMetadata &) const
bool | FLAC::Metadata::Prototype::operator!= (const ::FLAC__StreamMetadata *) const

## Detailed Description

This module contains classes representing FLAC metadata blocks in memory.

The behavior closely mimics the C layer interface; be sure to read the detailed description of the C metadata object module .

Any time a metadata object is constructed or assigned, you should check is_valid() to make sure the underlying FLAC__StreamMetadata object was able to be created.

Warning
  When the get_*() methods of any metadata object method return you a const pointer, DO NOT disobey and write into it. Always use the set_*() methods.

## Function Documentation

## ◆ clone()

Prototype* FLAC::Metadata::clone | ( | const Prototype * |  | ) |

Create a deep copy of an object and return it.

## ◆ operator==() [1/3]

bool FLAC::Metadata::Prototype::operator== | ( | const Prototype & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC__metadata_object_is_equal().

Referenced by FLAC::Metadata::Prototype::operator!=(), FLAC::Metadata::StreamInfo::operator==(), FLAC::Metadata::Padding::operator==(), FLAC::Metadata::Application::operator==(), FLAC::Metadata::SeekTable::operator==(), FLAC::Metadata::VorbisComment::operator==(), FLAC::Metadata::CueSheet::operator==(), FLAC::Metadata::Picture::operator==(), and FLAC::Metadata::Unknown::operator==().

## ◆ operator==() [2/3]

bool FLAC::Metadata::Prototype::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC__metadata_object_is_equal().

## ◆ operator==() [3/3]

bool FLAC::Metadata::Prototype::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC__metadata_object_is_equal().

## ◆ operator!=() [1/3]

bool FLAC::Metadata::Prototype::operator!= | ( | const Prototype & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

Referenced by FLAC::Metadata::StreamInfo::operator!=(), FLAC::Metadata::Padding::operator!=(), FLAC::Metadata::Application::operator!=(), FLAC::Metadata::SeekTable::operator!=(), FLAC::Metadata::VorbisComment::operator!=(), FLAC::Metadata::CueSheet::operator!=(), FLAC::Metadata::Picture::operator!=(), and FLAC::Metadata::Unknown::operator!=().

## ◆ operator!=() [2/3]

bool FLAC::Metadata::Prototype::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator!=() [3/3]

bool FLAC::Metadata::Prototype::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ is_valid()

bool FLAC::Metadata::Prototype::is_valid | ( |  | ) | const
| inline

Returns `true` if the object was correctly constructed (i.e. the underlying FLAC__StreamMetadata object was properly allocated), else `false`.

## ◆ operator const ::FLAC__StreamMetadata *()

FLAC::Metadata::Prototype::operator const ::FLAC__StreamMetadata * | ( |  | ) | const
| inline

Returns a pointer to the underlying FLAC__StreamMetadata object. This can be useful for plugging any holes between the C++ and C interfaces.

Assertions:\n
  is_valid()

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |